#include "messagedialog.h"
#include "ui_messagedialog.h"
#include <QPixmap>
#include <QBitmap>
#include <QMouseEvent>
#include "models/lotrodatmanager.h"
#include <QTextCodec>
using namespace LOTRO_DAT;

MessageDialog::MessageDialog(QWidget *parent) :
    QDialog(parent), ui(new Ui::MessageDialog)
{
    ui->setupUi(this);
    setModal(true);
    QPixmap background(":/assets/backgrounds/process_dialog.png");

    QPixmap current_bg = background.scaled(width(), height(), Qt::IgnoreAspectRatio, Qt::SmoothTransformation);
    QBitmap current_mask = current_bg.mask();
    setMask(current_mask);

    QPalette palette;
    palette.setBrush(QPalette::Window, current_bg);
    setPalette(palette);

}

void MessageDialog::mousePressEvent(QMouseEvent *event)
{
}

void MessageDialog::updateUI()
{
}

void MessageDialog::mouseMoveEvent(QMouseEvent *event)
{
}

MessageDialog::~MessageDialog()
{
    delete ui;
}
